package wzmasterserver;

public class Status {
    private String name;
    private Status(String n){
        name = n;
    }
    
    public String toString(){
        return name;
    }
    
    public boolean equals(Object obj){
        return ((obj instanceof Status) && (obj.toString().equals(name)));
    }
    
    public int hashCode(){
        return name.hashCode();
    }
    
    public static Status OPEN = new Status("open");
    public static Status STARTED = new Status("started");
    public static Status CLOSED = new Status("closed");
    
    /**
     * Returns 'null' on invalid statuses.
     * @param status
     * @return
     */
    public static Status get(String status){
        Status s = null;
        
        if(status.equalsIgnoreCase("open"))         s = OPEN;
        else if(status.equalsIgnoreCase("started")) s = STARTED;
        else if(status.equalsIgnoreCase("closed"))  s = CLOSED;
        
        return s;
    }
}
