package wzmasterserver;

public class ErrorConstants {
    private static int i = 0;
    private static String e(String msg){
        i++;
        return "ERROR\t"+i+"\t"+msg+"\n";
    }
    
    public static String UNKNOWN = e("UNKNOWN ERROR");
    
    public static String COMMAND_NOT_UNDERSTOOD = e("Command not understood");
    
    public static String BAD_PORT_NUMBER_FORMAT = e("Command not parsable; bad port number format");
    
    public static String BAD_MAX_PLAYER_NUMBER_FORMAT = e("Command not parsable; bad max-players number format");
    
    public static String NO_SUCH_GAME_REGISTERED_AS_OPEN = e("No such game registered as open");
    
    public static String NO_SUCH_GAME_REGISTERED_AS_STARTED = e("No such game registered as started.");
    
    public static String BAD_OPENGAME_PARAMETER_COUNT = e("Bad parameter count for OPENGAME command; takes exactly 4 parameters: port, game-name, map-name, max-players.");
    
    public static String BAD_LIST_PARAMETER_COUNT = e("Bad parameter count for LIST command; takes exactly 1 parameter: filter-string.");
    
    public static String BAD_STARTGAME_PARAMETER_COUNT = e("Bad parameter count for STARTGAME command; takes exactly 1 parameter: port.");
    
    public static String BAD_CLOSEGAME_PARAMETER_COUNT = e("Bad parameter count for CLOSEGAME command; takes exactly 2 parameters: port, winner-name.");
}
